using Edge.Core.Parser.BinaryParser.Attributes;
using HengshanPaymentTerminal.Support;
using System;
using System.Collections.Generic;
using System.Text;

namespace  HengshanPaymentTerminal.MessageEntity.Incoming
{
    public class DataContentRequest : CardMessageBase
    {
        public DataContentRequest() : base(Command.DataContentRequest)
        {

        }

        [Format(1, EncodingType.BIN, -90)]
        public DataContentType DataContentType { get; set; }

        [Format(2, EncodingType.BIN, -89)]
        public ushort SegmentOffset { get; set; }

        [Format(1, EncodingType.BIN, -88)]
        public byte SegmentCount { get; set; }
    }
}
